#!/bin/sh
# -*-Scheme-*-

# Compile the Developer Operations plugin.

set -e
: ${MIT_SCHEME_EXE=mit-scheme}
${MIT_SCHEME_EXE} --batch-mode <<\EOF
(begin
  (compile-file "build")
  (compile-file "devops")
  (compile-file "lint")
  (load-option 'cref)
  (cref/generate-constructors "devops")
  )
EOF
suffix=`echo "(display (microcode-id/operating-system-suffix))" \
	| ${MIT_SCHEME_EXE} --batch-mode`
report=devops-$suffix.crf
if [ -s "$report" ]; then
    awk "{printf \"$report:%d: %s\\n\",NR,\$0}" $report
fi
